<?xml version="1.0" encoding="UTF-8"?>
<!-- This is the XSL to render the available spare threshold setting page.  The associated web plugin is the SetAvailableSpareThresholdWebPlugin.java -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- Include some common templates created by SS -->
	<xsl:import href="Utils.xsl"/>
	<xsl:template match="OMA">
		<xsl:call-template name="scripts"/>
		<DataArea validate="true" Refresh="false" exportdata="false" onLoad="true">
            <xsl:attribute name="submit">./SubmitForm?plugin=com.dell.sm.webplugins.SubmitAvailableSpareThresholdWebPlugin&amp;OrigURL=<xsl:value-of select="/OMA/BackTo"/></xsl:attribute>
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$strApply"/></xsl:attribute>
            <xsl:attribute name="backpagedisplayfull"><xsl:value-of select="$strPrevPage"/></xsl:attribute>
            <xsl:attribute name="backpagetarget"><xsl:call-template name="ReturnPage"><xsl:with-param name="BackTo" select="/OMA/BackTo"/></xsl:call-template></xsl:attribute>
 			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strSetAvblSpareThreshold"/></xsl:attribute>
			</PageTitle>
            <xsl:call-template name="AvblSpareThreshold"/>
		</DataArea>
	</xsl:template>
	
	<xsl:template name="AvblSpareThreshold">
		<TableData name="T" display="">
			<Row>
				<Data><xsl:attribute name="value"><xsl:value-of select="$strPCIeSSDCriticalThreshold"/></xsl:attribute></Data>
				<Data name="pciecriticalthreshold" type="editbox" maxlength="3" size="3" align="left" >
					<xsl:attribute name="value"><xsl:value-of select="AvailableSpareThreshold/DCStorageObject/AvailableSpareCriticalThresholdPCIe"/></xsl:attribute>
					<xsl:attribute name="unit">%</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data><xsl:attribute name="value"><xsl:value-of select="$strPCIeSSDThreshold"/></xsl:attribute></Data>
				<Data name="pciethreshold" type="editbox" maxlength="3" size="3" align="left" >
					<xsl:attribute name="value"><xsl:value-of select="AvailableSpareThreshold/DCStorageObject/AvailableSpareWarningThresholdPCIe"/></xsl:attribute>
					<xsl:attribute name="unit">%</xsl:attribute>
				</Data>
			</Row>
		</TableData>
    
		<script language="javascript">	
			function initializationRoutine()
			{
				document.getElementById("pciecriticalthreshold").focus();
				return;
			}
			
			function validate() 
			{
				var i,errormessage,operation,displayoperation;

				var oldval='<xsl:value-of select="AvailableSpareThreshold/DCStorageObject/AvailableSpareWarningThresholdPCIe"/>';
				var oldcriticalval='<xsl:value-of select="AvailableSpareThreshold/DCStorageObject/AvailableSpareCriticalThresholdPCIe"/>';
				var text=document.getElementById("pciethreshold").value;
				var textcritical=document.getElementById("pciecriticalthreshold").value;
				var inputval=document.dataarea.pciethreshold.value;inputval = removeLeadingZeros(inputval);				
				var inputvalcritical=document.dataarea.pciecriticalthreshold.value;inputvalcritical = removeLeadingZeros(inputvalcritical);				
				
				if(oldval==inputval &amp;&amp; oldcriticalval==inputvalcritical)
				{
					alert("<xsl:value-of select="$strNoChangeInValue"/>");
					return false;
				}			
				else if(!check(textcritical,inputvalcritical,oldcriticalval,"pciecriticalthreshold",'<xsl:value-of select="$strPCIeMsgCritical"/>'))
				{
					return false;					
				}				
				else if(!check(text,inputval,oldval,"pciethreshold",'<xsl:value-of select="$strPCIeMsg"/>'))
				{
					return false;					
				}
				else if(parseInt(textcritical) &gt;= parseInt(text) &amp;&amp; !confirm("<xsl:value-of select="$strPCIeWarningMsg"/>")==true)
				{
					document.getElementById(pciecriticalthreshold).focus();
					return false;				
				}		
				
				return true;

			}//end of function validate	
			
					   
			function check(text,inputval,oldval,operation,displayoperation) 			
			{  
										  
				// check that this isn't zero.
				if (text.length &lt; 1)
				{
					alert("<xsl:value-of select="$strError"/>" + displayoperation + "<xsl:value-of select="$strvalidrange"/>");
					return false;
				}
		
				if( /^[0-9]*$/.test(text))		//make sure it's a number you are dealing with	
				{  
					if( 99 &lt; text || 1 > text )		//make sure the # is not greater than 99 or less than 1
					{  
						alert("<xsl:value-of select="$strError"/>" + displayoperation + "<xsl:value-of select="$strvalidrange"/>");
						document.getElementById(operation).value = "";
						document.getElementById(operation).focus();
						return false;
					} 
					else 
					{
						return true;
					}
				} 
				else 
				{
					alert("<xsl:value-of select="$strError"/>" + displayoperation + "<xsl:value-of select="$strvalidrange"/>");
					document.getElementById(operation).value = "";
					document.getElementById(operation).focus();
					return false;
				 }
				 
			}//end of function check

		</script>

	</xsl:template>
</xsl:stylesheet>


