<?xml version="1.0" encoding="UTF-8"?>
<!-- This is the XSL to render the HHHL Information page.  The associated web plugin is the HHHLInfoWebPlugin. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:import href="Utils.xsl"/>
	<xsl:import href="hhhltbl.xsl"/>
      	
    <xsl:variable name="GLOBAL_VAR_BUSPROTOCOL"><xsl:value-of select="//BusProtocol"/></xsl:variable>
	<xsl:template match="OMA">
	           
		<script language="javascript">
		var changeStatus = 0;
	  function initializationRoutine()
	  { 
	    
	  }	  	
		
      function reloadPage()
      {
          document.location.href = top.gnv.appendVID(document.URL);
      }
	  
	  function OnOperationBasicSelected()
      {  
         
		
		changeStatus = 0;
                
        document.location.href = top.gnv.appendVID("./DataArea?plugin=com.dell.sm.webplugins.HHHLInfoWebPlugin&amp;ControllerOID=<xsl:value-of select="/OMA/ID"/>&amp;ChangeStatus="+changeStatus+"&amp;ChannelOID=<xsl:value-of select="/OMA/CHID"/>&amp;Return=true&amp;help=hhhlin");       
                  
         
	  }	
	  
	  function OnOperationAdvanceSelected()
	  {
	          
	   	changeStatus = 1;
        document.location.href = top.gnv.appendVID("./DataArea?plugin=com.dell.sm.webplugins.HHHLInfoWebPlugin&amp;ControllerOID=<xsl:value-of select="/OMA/ID"/>&amp;ChangeStatus="+changeStatus+"&amp;ChannelOID=<xsl:value-of select="/OMA/CHID"/>&amp;Return=true&amp;help=hhhlin");              
        
	  }
    </script>
		
		<DataArea backpagetarget="./DataArea?plugin=com.dell.sm.webplugins.ControllerWebPlugin" onLoad="true" ignoreJumpBar="true">
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strHHHL"/><xsl:value-of select="//Channel"/></xsl:attribute>
			</PageTitle>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
                    <xsl:attribute name="href">./DataArea?plugin=com.dell.sm.webplugins.HHHLInfoWebPlugin&amp;ControllerOID=<xsl:value-of select="/OMA/ID"/>&amp;ControllerName=<xsl:value-of select="/OMA/ControllerName"/>&amp;ChannelOID=<xsl:value-of select="/OMA/CHID"/>&amp;Return=true&amp;help=hhhlin</xsl:attribute>
													
                </Data>
			</CustomButton>
			    
                       
            <CustomButton align="left">
				<Data formSubmit="true">
					<xsl:attribute name="display"><xsl:value-of select="$strBasicView"/></xsl:attribute>
					<xsl:attribute name="href">javascript:OnOperationBasicSelected()</xsl:attribute>
				</Data>
			</CustomButton>
            <CustomButton align="left">
				<Data formSubmit="true"><xsl:attribute name="display"><xsl:value-of select="$strFullView"/></xsl:attribute>
					<xsl:attribute name="href">javascript:OnOperationAdvanceSelected()</xsl:attribute>
				</Data>
			</CustomButton>			
                    
                   
			 <xsl:choose>
				<xsl:when test="count(NVMeAdapters/DCStorageObject) &lt;= 0">
					<AlertMessage status="3" ignoreoncli="true">
						<xsl:attribute name="display"><xsl:value-of select="$ADNoADs"/></xsl:attribute>
					</AlertMessage>		
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="ArrayDiskTable"/>
				</xsl:otherwise>
			 </xsl:choose>
                         
			
		</DataArea>
	</xsl:template>
	<xsl:template name="ArrayDiskTable">
		<xsl:variable name="checkAdmin">
			<xsl:choose>
				<xsl:when test="OMAUserRights = '7'">true</xsl:when>
				<xsl:otherwise>false</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<TableData columnspacing="true">
		    <xsl:if test="ChangeStatus != 1">
				
				<xsl:attribute name="staticcols">10</xsl:attribute>
								   
				<xsl:attribute name="expandableheader">
					<xsl:value-of select="$strDevices"/>
				
				</xsl:attribute>
				<xsl:attribute name="expandable">true</xsl:attribute>
		    </xsl:if>	
		   
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strTitle1"/></xsl:attribute>
				
			</SubHeader>
								
			
			<Header>
				<xsl:call-template name="HHHLTableHeader">
					<xsl:with-param name="tasks">
						<xsl:choose>
						  <xsl:when test="//MediaType='4'">false</xsl:when>
						  <xsl:otherwise><xsl:value-of select="$checkAdmin"/></xsl:otherwise>
						</xsl:choose>
						
					</xsl:with-param>
					<xsl:with-param name="expanded">true</xsl:with-param>
					<xsl:with-param name="changestatus"><xsl:value-of select="/OMA/ChangeStatus"/></xsl:with-param>
				
				</xsl:call-template>
			</Header>

			<xsl:for-each select="NVMeAdapters/DCStorageObject">
				<xsl:sort select="Channel" data-type="number" order="ascending"/>
				
				<xsl:call-template name="HHHLTableRows">
					<xsl:with-param name="tasks">
						 <xsl:choose><!-- Media Type 4 is Tape -->
							 <xsl:when test="MediaType = '4'">false</xsl:when>
							 <xsl:otherwise><xsl:value-of select="$checkAdmin"/></xsl:otherwise>
						 </xsl:choose>
					</xsl:with-param>
					<xsl:with-param name="expanded">true</xsl:with-param>
					<xsl:with-param name="changestatus"><xsl:value-of select="/OMA/ChangeStatus"/></xsl:with-param>
					
				</xsl:call-template>
			</xsl:for-each>
			
			
		</TableData>
			
	</xsl:template>
</xsl:stylesheet>
